Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Mer, 24/10/2007 - 00:48

Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Inviato da alex783 40 commenti

Amici, oggi è un grande giorno. Sono stati rilasciati i nuovi driver ATI fglrx 8.42.3, che, non solo risolvono diversi bug per le schede grafiche della precedente generazione, ma introducono il tanto atteso supporto AIGLX. Big Grin

Si, proprio così, da oggi si potrà utilizzare Compiz, Beryl o Compiz-Fusion in modo nativo e non sarà più necessario installare il server XGL.

Ma le novità non sono finite qui. I nuovi driver ATI introducono anche il supporto al nuovo server X.Org 1.4 / 7.3, miglioramenti nel video playback e nelle performance. L'unica pecca è che ancora il kernel 2.6.23 non è supportato, ma questo avverrà comunque nella prossima release 8.43. Wink

Per il download, ecco qui il link: https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-8.42.3-x86.x86_64.run Wink





Commenti

Ritratto di MOLUS
#1

Inviato da MOLUS il Lun, 05/11/2007 - 00:05.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Ciao! ho installato mandriva 2008 ho provato ad installare i driver ati 8.40.4 ,facendo i pacchetti, mi dà lo stesso errore dei driver 8.42.3 eppure gli 8.40.4 se lancio il comando --listpkg c'e' scritto che sono verificati con mandriva 2008



Ritratto di Moreno
#2

Inviato da Moreno il Lun, 05/11/2007 - 07:48.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Ciao

Lascia perdere gli 8.42.3, a parte un aumento di prestazione non vanno.
Per i driver Ati c'è la guida http://www.mandrakeitalia.org/modules/wfsection/article.php?articleid=285

Ciao Ciao Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.



Ritratto di nicco
#3

Inviato da nicco il Mer, 24/10/2007 - 09:49.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Non riesco a trovare il link per la versione 32bit...

Se me lo fate avere, tra circa un'ora ci saranno i driver in stardard mandriva format:
sempre se non hanno fatto modifiche interne da stravolgerli

Ciao

Professional experience >>> Community Manager and System Admin: http://pianetalinux.org
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.
OpenMandriva 2014.0 x86_64 - OMV + Kernel Farm + MIB - Kernel-nrjQL-desktop-3.15.6



Ritratto di gundam
#4

Inviato da gundam il Mer, 24/10/2007 - 09:52.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

e grande Nicco.

P.S.
il file è unico sia per la versione x86 che la versione x86_64. Discrimina lui la versione da utilizzare in base alla tua versione di Mandriva

Mandriva 2008.0
Asus P5B-VM - Core 2 Duo E6300 - Ati X1950PRO - 4Gb RAM



Ritratto di Moreno
#5

Inviato da Moreno il Mer, 24/10/2007 - 10:02.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Ciao

Dal nome del pacchetto, /ati-driver-installer-8.42.3-x86.x86_64.run , direi che è valido per entrambe le architetture .

Ciao Ciao Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.



Ritratto di alex783
#6

Inviato da alex783 il Mer, 24/10/2007 - 10:08.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

esatto, proprio così, da un paio d'anni la ATI rilascia un unico file contenente sia i driver x86 che x86_64...



Ritratto di Tony_Evo
#7

Inviato da Tony_Evo il Mer, 24/10/2007 - 11:57.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Per gli effetti 3D sicuramente bisognera editare xorg.conf e confrontarlo con l'xorg.conf con installati i vecchi driver,perchè sicuramente ora il sistema non sente i driver propietari come installati.

Hp Pavillion Dv6346eu,nVidia Go 6150,2 Gb di Ram,160 Gb HD.

MIBlog - http://mib.pianetalinux.org
Forum MIB - http://mib.pianetalinux.org/forum/index.php



Ritratto di vervelover
#8

Inviato da vervelover il Mer, 24/10/2007 - 13:01.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Ciao a tutti, io li ho già installati e provati su ubuntu, ora li provo su Mandriva.. su Ubuntu era necessario aggiungere la stringa "fglrx" nella Whitelist del file di configurazione di compiz (che non ricordo più dove sta) e le opzioni AIGLX "on" e Composite "on" in xorg.conf. Così sulla mia xpress 200m AIGLX funziona.. FA SCHIFO, ma funziona. SONO DELUSISSIMO DA QUESTI DRIVER, SONO INUSABILI E NON DOVEVANO RILASCIARLI!

1) Con Aiglx abilitato scorrere la barra di firefox diventa una croce

2)Sempre con AIGLX i video funzionerebbero meglio di prima ma non si vedono se non a schermo intero e a schermo intero appena muovo il mouse cominciano a saltare tipo discoteca.. stessa cosa succede con i giochi

3) Con AIGLX MA ANCHE SENZA è impossibile giocare in modo decente, nel senso che sebbene i giochi funzionino con prestazioni migliorate, cambiare QUALUNQUE impostazione grafica nel gioco significa UN TOTALE FREEZE DEL SISTEMA.

Torno agli 8.37, questi drivers mi fanno schifo..



Ritratto di nicco
#9

Inviato da nicco il Mer, 24/10/2007 - 13:28.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

Pacchettizzazione in formato Mandriva con dkms-..., ecc. ecc.

Ce l'avevo quasi fatta:
ma per un rigurgito del vecchio problema dell'rpm, non va a trovare alcuni files durante l'installazione

Dipendera' forse dal fatto che in tale file vi e' sia il pacchetto 32bit sia quello 64:
e questo lo manda in confusione

Son quasi sicuro che sulla 2007.1, esso funzioni

Ecco il log finale
_______________________________

Requires(rpmlib): rpmlib(VersionedDependencies) <= 3.0.3-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Obsoletes: ati-devel < 8.42.3-1.mib2008.0

RPM build errors:
File not found: /var/tmp/fglrx-8.42.3-1.mib2008.0-buildroot/etc/fglrx/fglrxrc
File not found: /var/tmp/fglrx-8.42.3-1.mib2008.0-buildroot/etc/fglrx/fglrxprofiles.csv

Professional experience >>> Community Manager and System Admin: http://pianetalinux.org
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.
OpenMandriva 2014.0 x86_64 - OMV + Kernel Farm + MIB - Kernel-nrjQL-desktop-3.15.6



Ritratto di bat86
#10

Inviato da bat86 il Mer, 24/10/2007 - 17:47.

Re: Finalmente ATI Driver 8.42.3 con supporto AIGLX!

c' è un modo per aggirare l'errore, vedi post gundam, di creazione dei pacchetti?da quello che mi sembra di capire lo script cerca se stesso in una cartella temporanea,sbaglio?